function LevelImage(img) {
	this.drawover = true;
	this.image = new Image();
	this.loaded = false;
	this.image.addEventListener("load", function() {
		this.loaded = true;
	}, false);
}

/**
 * Changes the object's image
 @ 0:img (string) Path to image
 # (void)
 */
LevelImage.prototype.setImage(img) {
	this.loaded = false;
	this.image.src = "./assets/images/" + img;
}

/**
 * Returns the image object's src
 # (string) image object's src
 */
 LevelImage.prototype.getImage() {
	return this.image.src;
}