function Tileset() {
	this.image = new Image();
	this.image.parent = this;
	
	this.loaded = false;
}

Tileset.prototype.setTileset = function(tileset) {
	this.tileset = tileset;
	this.loaded = false;
	
	this.image.src = "assets/tilesets/" + tileset;
	this.image.addEventListener("load", function() {
		this.parent.loaded = true;
	}, false);
}

Tileset.prototype.getTileset = function() {
	return this.tileset;
}

Tileset.prototype.tileIDToTilesetPos = function(tileID) {
	var px = tileID % Math.floor(this.image.width / tileEngine.tileSize) * tileEngine.tileSize;
	var py = Math.floor(tileID / Math.floor(this.image.width / tileEngine.tileSize)) * tileEngine.tileSize;
    return [px, py];
}

Tileset.prototype.tilesetPosToTileID = function(x, y) {
	return (Math.floor(x / tileEngine.tileSize)) + (Math.floor(y / tileEngine.tileSize) * (this.image.width / tileEngine.tileSize));
}